<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <AssemblyName>DiplomovaPrace.Web.Server</AssemblyName>
    <RootNamespace>DiplomovaPrace.Web.Server</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Controller\**" />
    <Content Remove="Controller\**" />
    <EmbeddedResource Remove="Controller\**" />
    <None Remove="Controller\**" />
	<TrimmerRootDescriptor Include="TrimmerRootDescriptor.xml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Grpc.AspNetCore.Web" Version="2.41.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="5.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Server" Version="5.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="5.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.SpaServices.Extensions" Version="5.0.5" />
    <PackageReference Include="MimeMapping" Version="1.0.1.37" />
    <PackageReference Include="protobuf-net.Grpc.AspNetCore" Version="1.0.152" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DataLayer\DataLayer.csproj" />
    <ProjectReference Include="..\DependencyInjection\DependencyInjection.csproj" />
    <ProjectReference Include="..\Facades.Customer\Facades.Customer.csproj" />
    <ProjectReference Include="..\Facades\Facades.csproj" />
    <ProjectReference Include="..\Model\Model.csproj" />
    <ProjectReference Include="..\Web.Admin\Web.Admin.csproj" />
  </ItemGroup>

</Project>
